﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfControls.ViewModel;
using WpfControls;
using System.Collections.ObjectModel;
using WpfControls.UIModel;

namespace WpfApplication1
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        Student student1 = new Student();
        Student student2 = new Student();
        ObservableCollection<Student> students = new ObservableCollection<Student>();

        //初始化
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            //采用非绑定机制
            student1.StudentName = "lmj" + DateTime.Now.ToString();
            student1.Age = 90;
            uc1.Student = student1;
            //采用绑定机制
            uc2.DataContext = student2;
            //采用绑定机制，显示学生列表
            lb1.ItemsSource = students;
        }

        //改Model值
        private void Button_Click1(object sender, RoutedEventArgs e)
        {
            student1.StudentName = "lmj" + DateTime.Now.ToString();
            student1.Age = 90;
            student2.StudentName = "hzh" + DateTime.Now.ToString();
            student2.Age = 90;
            Student svm1 = new Student() { StudentName = "lmj", Age = 2 };
            students.Add(svm1);
            foreach (var item in students)
            {
                item.StudentName = "lmj" + DateTime.Now.ToString();
            }
        }

        

    }
}
