﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.Windows.Input;
using WpfControls.Command;
using Microsoft.Expression.Interactivity.Core;
using WpfControls.UIModel;
using System.Windows;

namespace WpfControls.ViewModel
{
    public class StudentViewModel : NotificationObject
    {
        public StudentViewModel()
        {
            Clicked = new ActionCommand(this.Click);
        }

        public ICommand Clicked { get; private set; }

        public void Click(object arg)
        {
            //为了演示需要，在这里用了一个MessageBox
            //应尽量避免在VM中揉杂UI交互功能
            MessageBox.Show((arg as Student).StudentName);
        }
    }
}
